### Hierarchy

- PermissionsService

## Index

### Constructors

- constructor

### Properties

- _permissions
- _type
- _user

### Accessors

- permissions
- roles
- type
- user
- instance

### Object literals

- _roles

## Constructors

### constructor

- new PermissionsService(enforcer: any): PermissionsService

- - Defined in permissions/permissions-service.ts:14

  #### Parameters

  - ##### enforcer: any

  #### Returns PermissionsService

## Properties

### _permissions

_permissions: string[] = ['read']

- Defined in permissions/permissions-service.ts:10

### _type

_type: string

- Defined in permissions/permissions-service.ts:9

### _user

_user: User

- Defined in permissions/permissions-service.ts:14

## Accessors

### permissions

- get permissions(): string[]

- - Defined in permissions/permissions-service.ts:30

  #### Returns string[]

### roles

- get roles(): object

- - Defined in permissions/permissions-service.ts:34

  #### Returns object

### type

- get type(): string
- set type(value: string): void

- - Defined in permissions/permissions-service.ts:47

  #### Returns string

- - Defined in permissions/permissions-service.ts:51

  #### Parameters

  - ##### value: string

  #### Returns void

### user

- get user(): User
- set user(user: User): void

- - Defined in permissions/permissions-service.ts:38

  #### Returns User

- - Defined in permissions/permissions-service.ts:42

  #### Parameters

  - ##### user: User

  #### Returns void

### Static instance

- get instance(): any

- - Defined in permissions/permissions-service.ts:23

  #### Returns any

## Object literals

### _roles

_roles: object

- Defined in permissions/permissions-service.ts:11

### ANONYMOUS

ANONYMOUS: string[] = ['read']

- Defined in permissions/permissions-service.ts:12